Subject: g98 compilation problems

From: "孟长功" <cgmeng-.at.-dlut.edu.cn>
Date: Tue, 15 Jul 2003 11:6:28 +0800

Hi! Everyone!

When I tried to recompile my g98 according to the instruction on USER REFERENCE, I found the following errors:
07/09/03 20:24:48 T = 0.020/0.030 sec. 0 error(s) Maximum. Severity: 0
1501-510 Compilation successful for file ml109.f.
rm -f ml109.f
xlf -q64 -qintsize=8 -qrealsize=8 -qextname -qarch=auto -qtune=auto -qp
hsinfo -qcharlen=32760 -NQ70000 -NT240000 -ND15000 -c
ld: 0711-317 ERROR: Undefined symbol: .dspmv
ld: 0711-317 ERROR: Undefined symbol: .dgemm
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more information.
make: 1254-004 The error code from the last command is 8.

Then I tried to compile every .exe file, and found that if the .exe file calls the above 2 modules, the above errors will comes. I checked the bldg98.log and found that these 2 modules are from rs6kdum.F and they were successfully compiled, though the name of modules are:
dspmv_
dgemm_
not as mentioned in the errors:
dspmv
dgemm
I wonder why these happens, and how i can compile gaussian98 successfully. 

If you have met such problems, please tell me the detailed procedure to solve this problem.

Sincerely yours